Subject: [TLS] RFC 4507bis

From: Mike <[email-masked]>
Date: Sun, 29 Jul 2007 09:58:10 -0700

I'm working on adding support for RFC 4507 to my code
and have found a few issues with the draft.

   - Should the NewSessionTicket message be included
     in the hash used to create/verify the Finished
     message.  I believe it should since it's a
     handshake message, but it's not stated anywhere.
     I think it would be a good idea to specifically
     state that it is.

   - Is it legal for the server to resume a session
     and not provide a NewSessionTicket?  The message
     flow I'm referring to would look like this:

     Client                                    Server
     ClientHello
     (SessionTicket extension) -->
                                          ServerHello
                         (no SessionTicket extension)
                                   [ChangeCipherSpec]
                               <--           Finished
     [ChangeCipherSpec]
     Finished                  -->
     Application Data          <->   Application Data

     If this is not allowed, it should probably be
     stated that when a server resumes a session using
     a SessionTicket, it MUST send an empty Session
     Ticket extension and a NewSessionTicket message
     (optionally with an empty ticket).

   - It may be useful to state that the MAC computation
     in the ticket is over the encrypted contents to
     be able to quickly reject a ticket and not have to
     perform a decryption first.

   - Should HMAC-SHA256 be recommended instead of
     HMAC-SHA1?

   - StatePlaintext needs more data fields when TLS
     extensions are used such as max fragment length.
     This should be obvious, but it wouldn't hurt to
     state.

Mike

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls